<input type="hidden" name="challenge_id" value="{{challenge.id}}" />

<div class="field">
  <label class="label">Slack URL</label>
  <div class="control">
    <input
      class="input"
      type="text"
      placeholder="Slack webhook URL"
      name="hook_url"
      value="{{webhooks.hook_url}}"
    />
  </div>
</div>

<div class="field is-grouped">
  <div class="field mr-3">
    <label class="label">Slack Channel ID</label>
    <div class="control">
      <input
        class="input"
        type="text"
        placeholder="Channel ID"
        name="channel"
        value="{{webhooks.channel}}"
      />
    </div>
  </div>

  <div class="field mr-3">
    <label class="label">Send As</label>
    <div class="control">
      <input
        class="input"
        type="text"
        placeholder="username"
        name="username"
        value="{{webhooks.username}}"
      />
    </div>
  </div>

  <div class="field">
    <label class="label">Icon</label>
    <div class="control">
      <input
        class="input"
        type="text"
        placeholder=":icon_emoji:"
        name="icon_emoji"
        value="{{webhooks.icon_emoji}}"
      />
    </div>
  </div>
</div>

<div class="field is-grouped">
  <p class="control">
    <label class="checkbox">
      <input
        type="checkbox"
        name="newentrant"
        {{#if webhooks.newentrant}}checked{{/if}}
      />
      New Entrants
    </label>
  </p>
  <p class="control">
    <label class="checkbox">
      <input 
        type="checkbox" 
        name="levelComplete" 
        {{#if webhooks.levelcomplete}}checked{{/if}} 
      />
      Level Completed
    </label>
  </p>
</div>

<div class="field is-grouped">
  <div class="control">
    <button class="button is-link">
      {{#if btnTitle}}
        {{btnTitle}}
      {{else}}
        Save Webhook
      {{/if}}
    </button>
  </div>
  <div class="control">
    <a class="button" id="btnTestWebhook">
      Test Webhook
    </a>
  </div>
</div>